package cn.ey.biz.module.system.convert.engagement.scope;

import cn.ey.biz.module.system.api.engagement.scope.dto.OpprScopeConfigRespDTO;
import cn.ey.biz.module.system.controller.engagement.scope.vo.OpprScopeConfigRespVO;
import cn.ey.biz.module.system.controller.engagement.scope.vo.OpprScopeConfigUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.engagement.scope.SystemOpprScopeConfigDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import java.util.List;

/**
 * 公开范围
 */
@Mapper
public interface OpprScopeConfigConvert {

    OpprScopeConfigConvert INSTANCE = Mappers.getMapper(OpprScopeConfigConvert.class);

    List<OpprScopeConfigRespDTO> doConvertDto(List<SystemOpprScopeConfigDO> list);

    List<OpprScopeConfigRespVO> doConvertListVo(List<SystemOpprScopeConfigDO> list);

    SystemOpprScopeConfigDO convert(OpprScopeConfigUpdateReqVO updateReqVO);

    List<SystemOpprScopeConfigDO> convertListDO(List<OpprScopeConfigUpdateReqVO> updateReqListVO);

}
